import { DropdownElement } from "./dropdown-element";
import { PropertyValueMap } from "lit";
/**
 * @event sgds-select - Emitted event when a slot item is selected
 */
export declare class DropdownListElement extends DropdownElement {
    static styles: import("lit").CSSResult[];
    /**@internal */
    private menu;
    /** @internal */
    nextDropdownItemNo: number;
    /** @internal */
    prevDropdownItemNo: number;
    hidden: boolean;
    connectedCallback(): void;
    disconnectedCallback(): void;
    firstUpdated(changedProperties: PropertyValueMap<this>): void;
    protected handleSelectSlot(e: KeyboardEvent | MouseEvent): void;
    private _resetMenu;
    protected _handleKeyboardMenuItemsEvent(e: KeyboardEvent): void;
    private _getMenuItems;
    private _getActiveMenuItems;
    private _setMenuItem;
}
